UnknownVTable (JNA API)

com.sun.jna.platform.win32.COM

## Class UnknownVTable

- java.lang.Object
- - com.sun.jna.Structure
  - - com.sun.jna.platform.win32.COM.UnknownVTable

- Direct Known Subclasses:
    UnknownVTable.ByReference

      @Structure.FieldOrder(value={"QueryInterfaceCallback","AddRefCallback","ReleaseCallback"})
      public class UnknownVTable
      extends Structure

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `static interface` | `UnknownVTable.AddRefCallback`
    `static class` | `UnknownVTable.ByReference`
    `static interface` | `UnknownVTable.QueryInterfaceCallback`
    `static interface` | `UnknownVTable.ReleaseCallback`

    - ### Nested classes/interfaces inherited from class com.sun.jna.Structure

      `Structure.ByValue, Structure.FieldOrder, Structure.StructField`

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `UnknownVTable.AddRefCallback` | `AddRefCallback`
    `UnknownVTable.QueryInterfaceCallback` | `QueryInterfaceCallback`
    `UnknownVTable.ReleaseCallback` | `ReleaseCallback`

    - ### Fields inherited from class com.sun.jna.Structure

      `ALIGN_DEFAULT, ALIGN_GNUC, ALIGN_MSVC, ALIGN_NONE, CALCULATE_SIZE`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `UnknownVTable()`

  - ### Method Summary

    - ### Methods inherited from class com.sun.jna.Structure

      `allocateMemory, allocateMemory, autoAllocate, autoRead, autoRead, autoWrite, autoWrite, cacheTypeInfo, calculateSize, clear, createFieldsOrder, createFieldsOrder, createFieldsOrder, createFieldsOrder, dataEquals, dataEquals, ensureAllocated, equals, fieldOffset, getAutoRead, getAutoWrite, getFieldList, getFieldOrder, getFields, getNativeAlignment, getNativeSize, getNativeSize, getPointer, getStringEncoding, getStructAlignment, hashCode, newInstance, newInstance, read, readField, readField, setAlignType, setAutoRead, setAutoSynch, setAutoWrite, setStringEncoding, size, sortFields, toArray, toArray, toString, toString, useMemory, useMemory, write, writeField, writeField, writeField`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### QueryInterfaceCallback

          public UnknownVTable.QueryInterfaceCallback QueryInterfaceCallback

    - #### AddRefCallback

          public UnknownVTable.AddRefCallback AddRefCallback

    - #### ReleaseCallback

          public UnknownVTable.ReleaseCallback ReleaseCallback

  - ### Constructor Detail

    - #### UnknownVTable

          public UnknownVTable()

Copyright © 2007-2018 Timothy Wall. All Rights Reserved.